Bug 908123 - NetworkManager and NFS automounts cause systemd ordering cycles
Summary: NetworkManager and NFS automounts cause systemd ordering cycles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-05 23:47 UTC by John Westlund
Modified: 2013-12-09 01:47 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-09 01:47:35 UTC


Attachments (Terms of Use)

Description John Westlund 2013-02-05 23:47:21 UTC
Description of problem:
With NFS mounts in an fstab it appears that NetworkManager and the autogenerated mount units get into a dependency loop which causes a number of important units to get discarded while trying to resolve the issue.

Version-Release number of selected component (if applicable):
Seen in FC16,17,18

How reproducible:
Every boot with NFS mounts in the fstab

Steps to Reproduce:
1. Try and boot a system with NFS mounts in the fstab.
2.
3.
  
Actual results:
Several units are deleted and never attempt to stop, several others fail because the root filesystem doesn't get remounted RW until other units time out.

Expected results:
System should come up, remount the root filesystem RW, mount NFS volumes in the fstab without dependency loops or units timing out.


Additional info:

Comment 1 John Westlund 2013-02-06 04:42:24 UTC
[    6.943559] systemd[1]: Found ordering cycle on NetworkManager-wait-online.service/start
[    6.943707] systemd[1]: Walked on cycle path to NetworkManager.service/start
[    6.943810] systemd[1]: Walked on cycle path to dbus.socket/start
[    6.943912] systemd[1]: Walked on cycle path to sysinit.target/start
[    6.944039] systemd[1]: Walked on cycle path to local-fs.target/start
[    6.944141] systemd[1]: Walked on cycle path to var-storage-fuse-mp3.mount/start
[    6.944287] systemd[1]: Walked on cycle path to var-storage.mount/start
[    6.944388] systemd[1]: Walked on cycle path to remote-fs-pre.target/start
[    6.944490] systemd[1]: Walked on cycle path to network.target/start
[    6.944588] systemd[1]: Walked on cycle path to NetworkManager-wait-online.service/start
[    6.944735] systemd[1]: Breaking ordering cycle by deleting job NetworkManager.service/start
[    6.944883] systemd[1]: Job NetworkManager.service/start deleted to break ordering cycle starting with NetworkManager-wait-online.service/start
[    6.945103] systemd[1]: Deleting job NetworkManager-wait-online.service/start as dependency of job NetworkManager.service/verify-active

Comment 2 Raman Gupta 2013-08-04 20:44:30 UTC
Same problem here during reboot on Fedora 19:

Aug  4 16:18:43 edison systemd[1]: Found ordering cycle on local-fs.target/stop
Aug  4 16:18:43 edison systemd[1]: Walked on cycle path to nfs-darwin.mount/stop
Aug  4 16:18:43 edison systemd[1]: Walked on cycle path to network.target/stop
Aug  4 16:18:43 edison systemd[1]: Walked on cycle path to NetworkManager.service/stop
Aug  4 16:18:43 edison systemd[1]: Walked on cycle path to dbus.socket/stop
Aug  4 16:18:43 edison systemd[1]: Walked on cycle path to sysinit.target/stop
Aug  4 16:18:43 edison systemd[1]: Walked on cycle path to local-fs.target/stop
Aug  4 16:18:43 edison systemd[1]: Breaking ordering cycle by deleting job nfs-darwin.mount/stop
Aug  4 16:18:43 edison systemd[1]: Job nfs-darwin.mount/stop deleted to break ordering cycle starting with local-fs.target/stop
Aug  4 16:18:43 edison systemd[1]: Found ordering cycle on local-fs.target/stop
Aug  4 16:18:43 edison systemd[1]: Walked on cycle path to nfs-darwin-home.mount/stop

/etc/fstab contains:

darwin:/     /nfs/darwin     nfs4    rw,soft,intr,noauto      0 0

Comment 3 Zbigniew Jędrzejewski-Szmek 2013-12-09 01:47:35 UTC
This should be fixed by the latest f18 systemd update.


Note You need to log in before you can comment on or make changes to this bug.